Last Comment Bug 613795 - Add a possibility to Data Manager to only list domains of a certain data type
: Add a possibility to Data Manager to only list domains of a certain data type
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Passwords & Permissions (show other bugs)
: unspecified
: All All
: -- normal (vote)
: seamonkey2.1b2
Assigned To: Robert Kaiser (not working on stability any more)
:
Mentors:
Depends on: DataManager 588418
Blocks: 666102 588417 588419
  Show dependency treegraph
 
Reported: 2010-11-20 17:03 PST by Robert Kaiser (not working on stability any more)
Modified: 2011-06-21 19:57 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
v1: add a selector for data types (11.63 KB, patch)
2010-11-20 17:26 PST, Robert Kaiser (not working on stability any more)
no flags Details | Diff | Review
v1.1: make sure loading all-type views still works (12.24 KB, patch)
2010-11-26 14:53 PST, Robert Kaiser (not working on stability any more)
no flags Details | Diff | Review
v1.2: minimal tweak to view loading (12.24 KB, patch)
2010-11-26 16:35 PST, Robert Kaiser (not working on stability any more)
no flags Details | Diff | Review
v1.3: update for | separator in view caller syntax (12.60 KB, patch)
2010-11-27 17:53 PST, Robert Kaiser (not working on stability any more)
no flags Details | Diff | Review
v1.4: adjust to changed test (10.68 KB, patch)
2010-12-08 11:57 PST, Robert Kaiser (not working on stability any more)
iann_bugzilla: review+
Details | Diff | Review

Description Robert Kaiser (not working on stability any more) 2010-11-20 17:03:14 PST
In order for making it easier to find all your passwords or permissions, etc. in Data Manager, it would be good to have a way to only list domains that have this data type available.
This also will enable us elegantly to e.g. replace calls to "View Cookies" (that opens Cookie Manager right now) with a call to Data Manager with only cookie domains listed.
I have a patch working locally for the add-on already.
Comment 1 Robert Kaiser (not working on stability any more) 2010-11-20 17:26:30 PST
Created attachment 492118 [details] [diff] [review]
v1: add a selector for data types

Here's a patch for the SeaMonkey version to allow selecting data types - including an option for loading this as a "view" on Data Manager launch.
Comment 2 Robert Kaiser (not working on stability any more) 2010-11-26 14:53:21 PST
Created attachment 493466 [details] [diff] [review]
v1.1: make sure loading all-type views still works

While developing for the next steps, I realized that we need to make sure calls to all-type views still work when Data Manager is already open and a specific data type selected. This new patch fixes that and adds a test for this case.
Comment 3 Robert Kaiser (not working on stability any more) 2010-11-26 16:35:03 PST
Created attachment 493473 [details] [diff] [review]
v1.2: minimal tweak to view loading

Sorry for yet another iteration, but I found it's more correct to switch to listing all domains _before_ walking the displayed domains array in search of a domain, so I tweaked the view loading code again slightly.
Comment 4 Robert Kaiser (not working on stability any more) 2010-11-27 17:53:51 PST
Created attachment 493543 [details] [diff] [review]
v1.3: update for | separator in view caller syntax

This patch switches the separator for view calls to |, see bug 588418.
Comment 5 Robert Kaiser (not working on stability any more) 2010-12-08 11:57:20 PST
Created attachment 496217 [details] [diff] [review]
v1.4: adjust to changed test

In bug 588418, I added a few more test cases and that would have needed changes here anyhow, so I switched to a somewhat saner testing infrastructure as well (at first, I hadn't expected that this one would cover that many cases). This patch only contains updates for those changes.
Comment 6 Ian Neal 2010-12-14 09:19:22 PST
Comment on attachment 496217 [details] [diff] [review]
v1.4: adjust to changed test

r=me
Comment 7 Robert Kaiser (not working on stability any more) 2010-12-15 06:16:40 PST
Pushed as http://hg.mozilla.org/comm-central/rev/35e9872fd19f

Note You need to log in before you can comment on or make changes to this bug.